Bug 135112 - up2date documentation inconsistent on whatprovides syntax
up2date documentation inconsistent on whatprovides syntax
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 14:36 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-08 14:36:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
In the online help, e.g. typing $ up2date --nox you see:

  --whatprovides=<deps>
  Show the packages which solve the comma separated list...

In the man page, similarly:

   --whatprovides=<deps>
   Queries  the  RHN  servers to resolve the comma seperated...
 
However, in the examples at the end of the man page:

  up2date --whatprovides "/bin/bash,gimp,libhistory.so.4.1"

(no equals sign)

This is inconsistent and a bit unclear.

Version-Release number of selected component (if applicable):
sendmail-devel-8.12.11-4.6

How reproducible:
Always

Steps to Reproduce:
1.  up2date --nox
2.  man up2date
3.  compare occurrences of --whatprovides
    

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:02:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Andrew D. Stadler 2005-05-03 16:48:16 EDT
Still unclear as of FC3/latest - up2date-4.3.47-5
Comment 3 Matthew Miller 2006-07-10 19:00:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Andrew D. Stadler 2006-07-11 11:59:02 EDT
confirmed that this is still incorrect on FC5
Comment 5 Matthew Miller 2006-07-11 12:24:34 EDT
?

There is no up2date on FC5....
Comment 6 Andrew D. Stadler 2006-07-11 12:26:58 EDT
OK...  Hmm...  Well, I am running FC5 and up2date is definitely there (if not working properly).  Perhaps 
this redefines this bug?
Comment 7 John Thacker 2006-10-29 09:25:29 EST
Closing for the same reason as 135111

Note You need to log in before you can comment on or make changes to this bug.